//AC130-Script by LurchiDerLurch ac130_action
//put this for example in the init line of a laptop: "this addAction ["Call AC130", "ac130_action.sqf"];"

private ["_pos","_radius","_height","_munition_25mm","_munition_40mm","_munition_105mm","_showSignal","_enableHud","_enableFlir","_contrast","_360View","_showSmoketrails","_useNVG","_typeOfNVG"];

ac130_initComplete = false;

titleText ["Open your map and single click.", "PLAIN"];

onMapSingleClick 
{
	//Options
	_radius = 500; //radius for the AC130; default: ~700
	_height = 500; //start-height for the AC130; default: ~700
	_aboveSeaLevel = true; // height is above sea level and not above ground, AC130 will not automaticly correct height; default true 
	_munition_25mm = 2000; //Munition for the 25mm; default: 2000
	_munition_40mm = 100; //Munition for the 40mm; default: 100
	_munition_105mm = 30; //Munition for the 105mm; default: 30
	_showSignal = true; //Show signal for friendly units; default: true
	_enableHud = true; //Show vehicles as a square; default: true
	_enableFlir = true; //Flir; default: true
	_contrast = 0.1; //Contrast of flir; default: 0.1
	_360View = false; //360 view (UAV) or limited on the left side of the aircraft (AC130); default: false
	_showSmoketrails = true; //show a smoketrail behind the AC130; default: true
	_useNVG = false; //Use night vision googles; default: false
	_typeOfNVG = 0; //Which type of night vision googles, 0 = green, 1 = grey; default: 0
	[_pos,_radius,_height,_munition_25mm,_munition_40mm,_munition_105mm,_showSignal,_enableHud,_enableFlir,_contrast,_aboveSeaLevel,_360View,_showSmoketrails,_useNVG,_typeOfNVG]spawn ac130_init;
	titleText ["", "PLAIN"];
};

