//AC130-Script by LurchiDerLurch ac130_main_moving 
//still work in progress!

private["_ang","_dif","_smoketrail1","_smoketrail2","_smoketrail3","_smoketrail4"];

waitUntil {(ac130_initComplete)};

while {dialog} do
{
	sleep 0.001;
	
	flying = false;
	floating = false;
	
	cam_rotating_angle = [cam_rotating_angle - cam_rotating_deg]call normalizeAngle;

	
	//TODO: let a C130 fly with the camera 
	if(viewMode == 0) then
	{
		//interior
		ac130_plane setPos [0,0,1000];
		[cam_rotating_angle,cam_rotating_center,cam_rotating_height,ac130_cam]call setCirclePosition;
		ac130_cam camCommit 0;  
	}
	else
	{
		//exterior
		[cam_rotating_angle,cam_rotating_center,cam_rotating_height,ac130_plane]call setCirclePosition;
		ac130_plane engineOn true;
		ac130_plane allowDamage false;
		ac130_plane setFuel 1;
		ac130_plane setDir (cam_rotating_angle - 90);
		[ac130_plane,0,-15] call setPitchBank;
		_z = 80*cos(90+cam_dirv);	
		_r = sqrt(80^2 - _z^2);
		_x = sin(cam_dirh-180)*_r;
		_y = cos(cam_dirh-180)*_r;
		_pos = getPosASL ac130_plane;
		ac130_cam setPosASL [(_pos select 0)+_x,(_pos select 1)+_y,(_pos select 2)+_z];
		ac130_cam camCommit 0; 
	};
	
	//Moving
	if (mouseButtons select 0 && (mouseButtons select 4)) then 
	{
		cam_rotating_center2 setPos screenToWorld [0.5,0.5];
		
		ac130_pilot sideChat format["AC130-Pilot: Target %1, distance: %2 m.",getPos cam_rotating_center2,round(ac130_invisibleModel distance cam_rotating_center2)];
		
		flying = true;
		
		[]spawn //rotate the relative plane
		{
			private["_cam_rotating_array","_cam_rotating_pos"];
			
			while {flying} do
			{
				sleep 0.001;
				
				ac130_invisibleModel setPos cam_rotating_pos;
				ac130_invisibleModel setDir (cam_rotating_angle - 90);
				ac130_cam camSetPos getPos ac130_invisibleModel;
				ac130_cam camCommit 0;  
				
				_cam_rotating_array = [cam_rotating_angle,cam_rotating_center2,200,cam_rotating_height,cam_rotating_dirh]call getNewCamPos;
				_cam_rotating_pos = _cam_rotating_array select 0; // position for center 2
				
				ac130_invisibleModel2 setPos _cam_rotating_pos;
				ac130_invisibleModel2 setDir getDir ac130_invisibleModel;
			};
		};

		while {flying} do
		{
			sleep 0.001;
			_ang = [ac130_invisibleModel, ac130_invisibleModel2] call mando_angles;
			_dif = _ang select 1;
			
			if (_dif < 1 && _dif > -1) then
			{
				flying = false;
			};
		};
		
		cam_rotating_center setPos getPos cam_rotating_center2;

		floating = true;
		[ac130_invisibleModel,getPos ac130_invisibleModel2,1,1,true,false]spawn ac130_float;
		
		waitUntil{!floating};
		
		ac130_pilot sideChat "AC130-Pilot: Done.";
	};
};

